---
title: MediaSource.setLiveSeekableRange()
slug: Web/API/MediaSource/setLiveSeekableRange
tags:
  - API
  - Audio
  - Extensions
  - Media
  - MediaSource
  - MediaSource Extensions
  - Method
  - Reference
  - Video
  - setLiveSeekableRange()
---
<p>{{APIRef("Media Source Extensions")}}{{SeeCompatTable}}</p>

<p>The <strong><code>setLiveSeekableRange()</code></strong> method of the {{domxref("MediaSource")}} interface sets the range that the user can seek to in the media element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaSource</var>.setLiveSeekableRange(<var>start</var>, <var>end</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>start</dt>
 <dd>The start of the seekable range to set in seconds measured from the beginning of the source. If the duration of the media source is positive infinity, then the {{domxref("TimeRanges")}} object returned by the {{domxref("HTMLMediaElement.seekable")}} property will have a start timestamp no greater than this value.</dd>
 <dt>end</dt>
 <dd>The end of the seekable range to set in seconds measured from the beginning of the source. If the duration of the media source is positive infinity, then the {{domxref("TimeRanges")}} object returned by the {{domxref("HTMLMediaElement.seekable")}} property will have an end timestamp no less than this value.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Source Extensions','#dom-mediasource-setliveseekablerange','setLiveSeekableRange()')}}</td>
   <td>{{Spec2('Media Source Extensions')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaSource.setLiveSeekableRange")}}</p>
